[SOLVED] subtle 0.10 fails to config on ubuntu 12.04

Added by tasty minerals over 5 years ago

$ rake1.9.1
checking for stdio.h... yes
checking for stdlib.h... yes
checking for stdarg.h... yes
checking for string.h... yes
checking for unistd.h... yes
checking for signal.h... yes
checking for errno.h... yes
checking for assert.h... yes
checking for sys/time.h... yes
checking for sys/types.h... yes
checking for sys/inotify.h... yes
checking for wordexp.h... yes
checking for execinfo.h... yes
checking for X11/Xlib.h... rake aborted!
X11 was not found

Tasks: TOP => default => config
(See full trace by running task with --trace)

Any workaround?


Replies (5)

RE: subtle 0.10 fails to config on ubuntu 12.04 - Added by Christoph Kappel over 5 years ago

Hey, a workaround is to install the development files of xlib, see the install docs here.

RE: subtle 0.10 fails to config on ubuntu 12.04 - Added by tasty minerals over 5 years ago

I have them, libx11-dev is installed.
Why does rake not see it, rake is 1.9.1
How to fix it?

RE: subtle 0.10 fails to config on ubuntu 12.04 - Added by tasty minerals over 5 years ago

So, I assume I'm the only one with this issue.
I didn't have any trouble on archlinux, they have subtle already packaged, while WattOS (Ubuntu 12.04) do seem to behave differently.
As I said, all needed libs are installed.

RE: subtle 0.10 fails to config on ubuntu 12.04 - Added by Christoph Kappel over 5 years ago

Yep, since your system is just not properly installed. I did a clean install of 12.04 and it worked completely.

Here is what I installed: build-essential libx11-dev libxrandr-dev libxpm-dev ruby1.9.3 mercurial

Is pkg-config installed on your system? You can verify it on the console with e.g.: pkg-config x11 --libs

RE: subtle 0.10 fails to config on ubuntu 12.04 - Added by tasty minerals over 5 years ago

Thanks for the libs tip, I didn't have the pkg-config package. Hmmm

(1-5/5)